Subject: bug#46871: Service manager "init scripts" missing from current-guix

From: Leo Famulari <[email-masked]>
Date: Tue, 2 Mar 2021 01:05:44 -0500

On #guix, user fossguy[m]11 reported that guix-install.sh fails on
Gentoo, like this:

------
cp: cannot stat '/root/.config/guix/current/etc/openrc/guix-daemon': No such file or directory
chmod: cannot access '/etc/init.d/guix-daemon': No such file or directory
 * rc-update: service `guix-daemon' does not exist
------

I downloaded the 1.2.0 release binary and, indeed, there is no directory
'etc/openrc' in root's current-guix profile. It's also missing from the
'guix-1.2.0' store item that is the current-guix in this context.

There is 'etc/init.d', 'lib/upstart', and 'lib/systemd'.

Weirder: none of these files are available in current-guix on a
"current" Guix installation, although they do appear in the result of
`guix build guix`. Minus openrc of course. Is this expected?